Skip to main content
GET
/
datasets
/
{dataset_id}
/
metadata
/
built-in
Error
A valid request URL is required to generate request examples
{
  "fields": [
    {
      "name": "document_name",
      "type": "string"
    },
    {
      "name": "uploader",
      "type": "string"
    },
    {
      "name": "upload_date",
      "type": "time"
    },
    {
      "name": "last_update_date",
      "type": "time"
    },
    {
      "name": "source",
      "type": "string"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

Response

200 - application/json

Built-in metadata fields.

fields
object[]

List of system-provided metadata fields.